# https://sourceforge.net/projects/ffmulticonv/files/ffmulticonverter-1.8.0.tar.gz

Name:           ffmulticonverter
Version:        1.8.0
Release:        %mkrel 4
Summary:        FF Multi Converter

License:        GPLv3
Group:          Video
URL:            https://sites.google.com/site/ffmulticonverter/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       ffmpeg
Requires:       ImageMagick
Requires:       python3-qt5
Requires:       python3-sip
Requires:       unoconv

%description
A simple graphical application which enables you to convert audio,
video, image and document files between all popular formats, using
and combining other programs. It uses ffmpeg for audio/video files,
unoconv for document files and PythonMagick library for image file
conversions. The application is written in python and PyQt.

%prep
%setup -q
convert share/%{name}.png -resize 48 share/%{name}.png

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category={"X-MandrivaLinux-Multimedia-Video","X-MandrivaLinux-Multimedia-Sound"} \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README.txt TRANSLATORS PKG-INFO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/pixmaps/%{name}.png

%pre 
rm -f /usr/lib/python3.6/site-packages/ffmulticonverter-1.8.0-py3.6.egg-info
rm -rf /usr/lib/python3.6/site-packages/ffmulticonverter

%changelog
* Fri Nov 02 2018 adrianomorselli <adrianomorselli> 1.8.0-4uplos2018
- check permissions
- add python3-sip dependency
- update
